# ComponentListener (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.gui
Interface ComponentListener

All Known Implementing Classes:
  GUITest, SavedStateTest

    public interface ComponentListener

A descritpion of a class responding to events occuring on a GUI component

Author:
  kevin

Method Summary
`void` `componentActivated(AbstractComponent source)` Notification that a component has been activated (button clicked, text field entered, etc)

Method Detail

### componentActivated

    void componentActivated(AbstractComponent source)

  Notification that a component has been activated (button clicked, text field entered, etc)

  Parameters:
    `source` - The source of the event

Copyright © 2006 New Dawn Software. All Rights Reserved.